Subject: bug#75626: 31.0.50; Dired misses or double-processes files when auto-revert-mode is enabled

From: Tassilo Horn <[email-masked]>
Date: Sun, 26 Jan 2025 09:50:28 +0100

Eli Zaretskii <[email-masked]> writes:

>> Ok, let's make a decision then.  The two options on the table are:
>> 
>> 1. Just keep the dired-specific dired--inhibit-auto-revert as it's
>>    committed now (+ use that to fix bug#71264 properly, too).
>> 
>> 2. Use the more general inhibit-auto-revert patch I've posted here.
>> 
>> I lean towards option 1 simply because my gut feeling says that the
>> dired issue is probably a historical accident, i.e., its workings have
>> been implemented long before auto-revert was a thing.  If one were to
>> implement something similar today (like ops on processes in proced), one
>> would not use an approach navigating lines in the buffer.  Even most
>> dired commands don't or just do to collect the list of files to act on
>> initially.
>
> Sounds like option 1 is preferred by several people, so let's keep it.

Alright, I've just pushed the addon change for fixing bug#71264 using
dired--inhibit-auto-revert.

Thanks,
Tassilo